List inbound email addresses
curl --request GET \
--url https://api.apostra.com/api/v2/inbound-email-addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/inbound-email-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/inbound-email-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "coke-reports-k7m2qz4xhd9a@in.staging.apostra.com",
"purpose": "reports",
"handler": "session_intake",
"customerId": 4503599627370495,
"advertiserId": 4503599627370495,
"revision": 4503599627370495,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Account
List inbound email addresses
List the email addresses this account receives mail at, newest first, each at its latest revision. Pass status=all to include revoked addresses. Admin-only.
GET
/
inbound-email-addresses
List inbound email addresses
curl --request GET \
--url https://api.apostra.com/api/v2/inbound-email-addresses \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.apostra.com/api/v2/inbound-email-addresses"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.apostra.com/api/v2/inbound-email-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"addresses": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"address": "coke-reports-k7m2qz4xhd9a@in.staging.apostra.com",
"purpose": "reports",
"handler": "session_intake",
"customerId": 4503599627370495,
"advertiserId": 4503599627370495,
"revision": 4503599627370495,
"status": "active",
"createdAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Query Parameters
active (default) lists only addresses that currently receive mail; all also lists revoked addresses.
Available options:
active, all Maximum number of addresses to return (1-500, default 100)
Required range:
1 <= x <= 500Number of addresses to skip, for paging
Required range:
0 <= x <= 9007199254740991Response
List inbound email addresses